/*
 * SPDX-FileCopyrightText: 2025 Xavier Bordoy <somenxavier@posteo.net>
 *
 * SPDX-License-Identifier: MIT
 */

/* # Generals */
html {

    margin: 0;
}


body {

    overflow-x: hidden;
    text-rendering: optimizeLegibility;

}

#content {
	margin-top: 3em;
}

#meta {
	margin-top: 3em;
}

article {
	margin: 2em;
}

footer {
	margin-top: 2em;
	padding-right: 1em;
}

aside {
	margin-top: 3em;
	background-color: rgb(248,249,250);
}

/* # Elements HTML */

img {
    max-width: 100%;
}


p {
    text-align: justify;
}

article p {

    line-height: 1.45em;
}

footer p {
    text-align: right;
}

body li {
     text-align: justify;
}

q, blockquote {
	font-style: italic;
}

figure {

	/* Es mostra amb un quadre alineat amb la mida de la imatge */
	display: table;
	float: none;
	margin: 2rem 0;

	border: 1px solid #ddd;
	border-radius: 10px;
	padding: 0.5em;

	/* Els captions centrats */
	text-align: center;

}


/* # Capçaleres */

h1:first-of-type {
	border: none
}

article h1,
article h2,
article h3,
article h4,
article h5,
article h6 {
    font-weight: normal;
    border-top: none;
    margin: 30px 0px 10px 0px;
    padding: 0;
    font-family: sans-serif;
}

article h1 { margin-top: 0; padding-top: 0; font-size: 200%; }
article h2 { font-size: 180%; }
article h3 { font-size: 150%; }
article h4 { font-size: 130%; }
article h5 { font-size: 100%; }
article h6 { font-size: 100%; }

h1.title {
	border: none;
	padding: 0;
	margin: 0;
	font-size: 200%;
	font-weight: bold;
}

/* # Específics */

/* ## Comma-separated list */
/* ## https://stackoverflow.com/a/1517228/7532 */

.comma-list {
	display: inline;
	list-style: none;
	padding: 0px;
}

.comma-list li {
	display: inline;
}

.comma-list li::after {
	content: ", ";
}

.comma-list li:last-child::after {
	content: "";
}

/* ## Navegació */

.menu a.pinned {
	font-variant: small-caps;
}

.menu a.pinned + .pinned {
	margin-left: 2em;
}

.menu {
	border-bottom:1px solid #e1e7ec;
	margin-bottom: 1em;
	margin-left: 3em;
	/*text-align: right;*/
	padding-right: 1em;
	font-family: sans-serif;
}

.vora {
	border: 1px solid #ddd;
}

/* ## Creative Commons */

.cc {
	height: 22px!important;
	margin-left: 3px;
	vertical-align: text-bottom;
}


/* # Per imprimir */

@media print {

	/* Faig invisible el menu quan imprimeix la pàgina */
	#menu, nav {
		display: none !important;
	}

	body {
		margin: 3em;
		font-family: "Nimbus Roman", serif;
	}
}



